Package org.jboss.resteasy.plugins.server.servlet

## Class ServletSecurityContext

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ServletSecurityContext

- All Implemented Interfaces:
    `javax.ws.rs.core.SecurityContext`

      public class ServletSecurityContext
      extends Object
      implements javax.ws.rs.core.SecurityContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.core.SecurityContext

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServletSecurityContext​(javax.servlet.http.HttpServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAuthenticationScheme()` |
    `Principal` | `getUserPrincipal()` |
    `boolean` | `isSecure()` |
    `boolean` | `isUserInRole​(String role)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletSecurityContext

          public ServletSecurityContext​(javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `javax.ws.rs.core.SecurityContext`

    - #### isUserInRole

          public boolean isUserInRole​(String role)

      Specified by:
        `isUserInRole` in interface `javax.ws.rs.core.SecurityContext`

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `javax.ws.rs.core.SecurityContext`

    - #### getAuthenticationScheme

          public String getAuthenticationScheme()

      Specified by:
        `getAuthenticationScheme` in interface `javax.ws.rs.core.SecurityContext`